<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	   xmlns:p="http://www.springframework.org/schema/p"
	   xmlns:http="http://cxf.apache.org/transports/http/configuration"
	   xmlns="http://www.springframework.org/schema/beans"
	   xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd


                                    http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd">

	<bean id="httpConnector" class="eu.dnetlib.data.collector.plugins.HttpConnector"
	      init-method="initTrustManager"
	      p:defaultDelay="${collector.oai.http.defaultDelay}"
	      p:readTimeOut="${collector.oai.http.readTimeOut}"
	      p:maxNumberOfRetry="${collector.oai.http.maxNumberOfRetry}" />

	<bean id="oaiIteratorFactory" class="eu.dnetlib.data.collector.plugins.oai.OaiIteratorFactory"
		p:httpConnector-ref="httpConnector" />
		
	<bean id="oaiSetsIteratorFactory" class="eu.dnetlib.data.collector.plugins.oaisets.OaiSetsIteratorFactory"
		p:httpConnector-ref="httpConnector" />

	<bean id="ftpIteratorFactory" class="eu.dnetlib.data.collector.plugins.ftp.FtpIteratorFactory"/>

	<bean id="sftpIteratorFactory" class="eu.dnetlib.data.collector.plugins.sftp.SftpIteratorFactory"/>
	
	<!-- Functions -->
	<bean id="listOaiSetsFunction" class="eu.dnetlib.data.collector.functions.ListOaiSetsFunction"
		p:oaiSetsIteratorFactory-ref="oaiSetsIteratorFactory" />
	
</beans>